/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\Dark Palace\Mobiles\EmeraldSkeleton.cs
Lines of code: 73
***********************************************************/


using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a crystaline corpse" )]
	public class EmeraldSkeleton : BaseCreature
	{
		public override WeaponAbility GetWeaponAbility()
		{
			switch ( Utility.Random( 6 ) )
			{
				default:
				case 0: return WeaponAbility.ArmorIgnore;
				case 1: return WeaponAbility.ConcussionBlow;
				case 2: return WeaponAbility.NerveStrike;
				case 3: return WeaponAbility.MortalStrike;
				case 4: return WeaponAbility.DoubleStrike;
				case 5: return WeaponAbility.BleedAttack;
				case 6: return WeaponAbility.Block;
			}
		}
		[Constructable]
		public EmeraldSkeleton() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "an emerald skeleton";
			Body = 50;
			BaseSoundID = 0x48D;
			Hue = 2963;

			SetStr( 56, 80 );
			SetDex( 56, 75 );
			SetInt( 1000, 1000 );
	
			SetHits( 250, 250 );

			SetDamage( 20, 20 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 15, 20 );
			SetResistance( ResistanceType.Fire, 5, 10 );
			SetResistance( ResistanceType.Cold, 25, 40 );
			SetResistance( ResistanceType.Poison, 25, 35 );
			SetResistance( ResistanceType.Energy, 5, 15 );

			SetSkill( SkillName.MagicResist, 45.1, 60.0 );
			SetSkill( SkillName.Tactics, 45.1, 60.0 );
			SetSkill( SkillName.Wrestling, 120 );

			Fame = 450;
			Karma = -450;

			VirtualArmor = 16;

		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Poor );
		}

		public override bool BleedImmune{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lesser; } }

		public EmeraldSkeleton( Serial serial ) : base( serial )
		{
		}

		public override OppositionGroup OppositionGroup
		{
			get{ return OppositionGroup.FeyAndUndead; }
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
